
/**
 * Account demo program for PB162, Fall 2014.
 * 
 * @author Tomáš Pitner
 * @version 0.9
 */
public class Demo {
    
    public static final String MESSAGE = "This is a message";

    public static void main(String[] args) {
        
        Person petr = new Person("Petr Novák");
        Person jan = new Person("Jan Horák");

        CheckedAccount petrsAccount = new CheckedAccount(petr, 1000, 1200);
        CheckedAccount jansAccount = new CheckedAccount(jan, 1000, 2000);
        //Account nobodysAccount = new Account(null);
        
        petrsAccount.writeInfo();
        jansAccount.writeInfo();
        
        petrsAccount.transferTo(jansAccount, 800);
        
        petrsAccount.writeDetailedInfo();
        jansAccount.writeDetailedInfo();
        
    }
    
    public static void writeInfoNTimes(Informing inf, int n) {
        for(int i = 0; i < n; i++) {
            inf.writeInfo();
        }
    }
}
